/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.resource;

 /**
  * This is the {@link WURFLModel} observer.
  * 
  * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 * 
  * @version $Id: WURFLModelListener.java 633 2011-05-11 20:37:08Z ermanno.franco $
  */
public interface WURFLModelListener {

	/** 
	 * Fired when a model modify it's internal state: a device is added or removed to model.
	 * 
	 * @param event The event fired by model.
	 */
	void modelChange(WURFLModelEvent event);

}
