/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request;

/**
 * This is a the factory for {@link FastUserAgentResolver}. USE IT ONLY FOR TESTING.
 * 
 * @author Filippo De Luca
 * @version 1.0.0, 09/03/2009
 */
public class FastUserAgentResolverFactory implements UserAgentResolverFactory {

	public FastUserAgentResolverFactory() {
		// empty
	}

	public UserAgentResolver create() {

		return new FastUserAgentResolver();
	}

}
