/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request.normalizer.specific;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * @author Fantayeneh Asres Gizaw
 * @author Filippo De Luca
 */
public class LGNormalizer implements UserAgentNormalizer {

    /**
     * @param userAgent
     * @return String
     */
    public String normalize(String userAgent) {
        int lgIndex = userAgent.indexOf("LG");
        if (lgIndex > 0) {
            return userAgent.substring(lgIndex);
        }
        return userAgent;
    }

}
