/**
 * Copyright (c) 2011 ScientiaMobile Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * Refer to the COPYING file distributed with this package.
 */
package net.sourceforge.wurfl.core.request.normalizer.specific;

import net.sourceforge.wurfl.core.request.normalizer.UserAgentNormalizer;

/**
 * This Normalizer returns the user-agent unchanged.
 * 
 * @author Tommaso Teofili
 * 
 * @version $Id: NullNormalizer.java 633 2011-05-11 20:37:08Z ermanno.franco $
 */
public class NullNormalizer implements UserAgentNormalizer {

    public static final UserAgentNormalizer INSTANCE = new NullNormalizer();

    public String normalize(final String userAgent) {
		return userAgent;
	}

}
